Loading...
Searching...
No Matches
massspectrum.cpp File Reference
`#include <cmath>`
`#include <numeric>`
`#include <limits>`
`#include <vector>`
`#include <map>`
`#include <QDebug>`
`#include "pappsomspp/core/trace/datapoint.h"`
`#include "pappsomspp/core/trace/trace.h"`
`#include "pappsomspp/core/massspectrum/massspectrum.h"`
`#include "pappsomspp/core/processing/combiners/massspectrumcombiner.h"`
`#include "pappsomspp/core/mzrange.h"`
`#include "pappsomspp/core/pappsoexception.h"`
`#include "pappsomspp/core/peptide/peptidefragmentionlistbase.h"`
`#include "pappsomspp/core/exception/exceptionoutofrange.h"`
`#include "pappsomspp/core/processing/filters/filterresample.h"`

Go to the source code of this file.

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Functions

QDataStream & | pappso::operator<< (QDataStream &outstream, const MassSpectrum &massSpectrum)
QDataStream & | pappso::operator>> (QDataStream &instream, MassSpectrum &massSpectrum)

## Variables

int | massSpectrumMetaTypeId = qRegisterMetaType<pappso::MassSpectrum>("pappso::MassSpectrum")
int | massSpectrumPtrMetaTypeId = qRegisterMetaType<pappso::MassSpectrum *>("pappso::MassSpectrum *")

## Variable Documentation

## massSpectrumMetaTypeId

int massSpectrumMetaTypeId = qRegisterMetaType<pappso::MassSpectrum>("pappso::MassSpectrum")

Definition at line 51 of file massspectrum.cpp.

Referenced by Q_DECLARE_METATYPE().

## massSpectrumPtrMetaTypeId

int massSpectrumPtrMetaTypeId = qRegisterMetaType<pappso::MassSpectrum *>("pappso::MassSpectrum *")

Definition at line 52 of file massspectrum.cpp.

Referenced by Q_DECLARE_METATYPE().